petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatKAIJRestoreTRead

Restore array obtained with MatKAIJGetTRead()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJRestoreTRead(Mat A,const PetscScalar **T)

Not collective

### Input Parameter

A -the KAIJ matrix

### Output Parameter

T -location of pointer to array obtained with MatKAIJGetS()

Note: This routine zeros the array pointer to prevent accidental reuse after it has been restored. If NULL is passed, it will not attempt to zero the array pointer.

### See Also

MatKAIJGetT(), MatKAIJGetTRead(), MatKAIJRestoreTRead()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages